Bug 54711 - Files mentioned by documenation are missing
Files mentioned by documenation are missing
Status: CLOSED NEXTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: postgresql (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Lane
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-16 15:20 EDT by Michal Jaegermann
Modified: 2013-07-02 22:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-05 16:50:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2001-10-16 15:20:47 EDT
Description of Problem:

Section 4.1 of PostgrSQL documentation refers to files in 'tutorial'
directory and in particular to 'basics.sql'.  No such directories
or files are provided in the instalation.   Sources for these pieces,
and their Makefile, exist in a source distribution but they are not
packaged with binary rpms (and even if they were a precise location
given in docs is not likely to be correct).
Comment 1 Trond Eivind Glomsrxd 2001-10-21 18:30:23 EDT
I'll look at it...
Comment 2 Andrew Overholt 2003-03-04 12:34:25 EST
Assigning to me.
Comment 3 Andrew Overholt 2003-03-27 17:28:54 EST
AFAICT, the newest version references the tutorial which is clearly seen on the
main documentation index.
Comment 4 Michal Jaegermann 2003-03-27 19:50:14 EST
Er... are we talking about the same version? Currently postgresql-7.2.3-5.73
and related packages on RH 7.3 installation?

In tutorial-sql.html (not only, but that is minor) at the very start one
can see:

To start the tutorial, do the following:

$ cd ..../src/tutorial
$ psql -s mydb
...

mydb=> \i basics.sql

Hm, ok.

$ locate basics.sql
$

This is not a question of referencing the tutorial but this tutorial
is referencing to files which are missing.  If you say that 'basics.sql',
and whatever else this one is using, then where that is?

Comment 5 Michal Jaegermann 2003-03-27 20:00:35 EST
I just verified the the same bug is present in Phoebe (postgresql-7.3.2-2)
so most likely also in RH 8 and in the upcoming RH 9 as well.
Comment 6 Andrew Overholt 2003-03-28 12:00:44 EST
I'm sorry, I didn't understand what you were talking about earlier.  Anyways,
you are correct in that the files are not in the RPMs.  However, the tutorial
_does_ state:

--
Examples in this manual can also be found in the PostgreSQL source distribution
in the directory src/tutorial/. Refer to the README file in that directory for
how to use them ...
--

The files are indeed included in the PostgreSQL tarball (source distribution)
that is part of the SRPM.  I realise that this probably doesn't help you ...
I'll see if I can rework the packaging on the tutorial src docs.  I'm going to
work on it, but resolve it NOTABUG and open a new bug as an enhancement.
Comment 7 Andrew Overholt 2003-03-28 12:16:34 EST
Ha.  I'm a moron.  I'm reopening this as an enhancement rather than creating a
new bug report.
Comment 8 Michal Jaegermann 2003-03-28 12:49:55 EST
Personally I know perfectly well where to find sources, so I really
do not need any help, but somebody using binary packages only will be
stuck.  Yes, a wording in original docs is also not very good, and scary
for newbies, but this is another story.

Indeed, this is a long standing packaging bug which requires only
minor changes in a spec file to repair.  Fixing a text not to send
an end user for sources would be also nice.
Comment 9 Tom Lane 2004-04-05 16:50:23 EDT
AFAICS this is fixed in 7.4 and later specfiles: the tutorial files
are installed under /usr/share/doc/postgresql-docs-NNN/tutorial,
and the documentation link is adjusted to reflect this.

Note You need to log in before you can comment on or make changes to this bug.